require "key_metrics/version"

module KeyMetrics

  class KeyMetrics
	  attr_accessor :version

	  attr_accessor :keymetric_1_label, :keymetric_1_value, :keymetric_1_icon_base64
	  attr_accessor :keymetric_2_label, :keymetric_2_value, :keymetric_2_icon_base64
	  attr_accessor :keymetric_3_label, :keymetric_3_value, :keymetric_3_icon_base64
	 
	  def set_key_metrics(req,
	  	                  keymetric_1 = { :label => "Metric #1", :value => "null", :icon => nil}, 
	  	                  keymetric_2 = { :label => "Metric #2", :value => "null", :icon => nil},
	  	                  keymetric_3 = { :label => "Metric #3", :value => "null", :icon => nil})
	    self.version = req['keymetrics.version']

	    self.keymetric_1_label = keymetric_1[:label]
	    self.keymetric_1_value = keymetric_1[:value]
	    self.keymetric_1_icon_base64 = keymetric_1[:icon]

	    self.keymetric_2_label = keymetric_2[:label]
	    self.keymetric_2_value = keymetric_2[:value]
	    self.keymetric_2_icon_base64  = keymetric_2[:icon]

	    self.keymetric_3_label = keymetric_3[:label]
	    self.keymetric_3_value = keymetric_3[:value]
	    self.keymetric_3_icon_base64  = keymetric_3[:icon]
	  end

	  def as_json
	  	response = nil
	  	
	  	#if self.version.to_f > 0
	      response = {
	      	:keymetric_1 => { :label => self.keymetric_1_label, :value => self.keymetric_1_value, :icon => self.keymetric_1_icon_base64 }, 
	        :keymetric_2 => { :label => self.keymetric_2_label, :value => self.keymetric_2_value, :icon => self.keymetric_2_icon_base64 }, 
	  	    :keymetric_3 => { :label => self.keymetric_3_label, :value => self.keymetric_3_value, :icon => self.keymetric_3_icon_base64 }, 
	      }
	  	#else
	  	#  response = {
	  	#  	:error => "Unkown version type"
	  	#  }
	  	#end

	  	response
	  end
	end
end
